# Feature Documentation

This section contains documentation organized by app features. Each feature area has its own dedicated section with implementation details, architecture, and specifications.

## Feature Areas

- [Workout](./workout/index.md) - Workout creation, execution, and completion
- [Social](./social/index.md) - Social sharing and feed features
- [Library](./library/index.md) - Exercise and template library
- [POWR Packs](./powr_packs/index.md) - POWR pack import and management
- [Profile](./profile/index.md) - User profile and settings
- [History](./history/index.md) - Workout history and calendar
- [Settings](./settings/index.md) - App settings and configuration

## MVP Features

The following features are prioritized for the MVP release:

- Core workout functionality (creation, execution, completion)
- Basic social sharing (simplified for MVP)
- Essential library management
- Profile functionality
- Streamlined POWR pack importing

See [MVP and Targeted Rebuild](../project/mvp_and_rebuild.md) for more details on feature prioritization.

## Related Documentation

- [Architecture Documentation](../architecture/index.md) - System-wide architectural documentation
- [Technical Documentation](../technical/index.md) - Technical implementation details

**Last Updated:** 2025-03-25
