# POWR App Documentation

Welcome to the POWR App documentation. This documentation is organized by category to help you find the information you need.

## Documentation Categories

- [Guides](./guides/index.md) - Developer guides and practices
- [Architecture](./architecture/index.md) - System-wide architectural documentation
- [Features](./features/index.md) - Feature-specific documentation
- [Technical](./technical/index.md) - Technical implementation details
- [Testing](./testing/index.md) - Testing documentation
- [Project](./project/index.md) - Project management documentation

## Key Documents

- [MVP and Targeted Rebuild](./project/mvp_and_rebuild.md) - Our plan for the MVP release and targeted rebuilds
- [Long-Term Roadmap](./project/long_term_roadmap.md) - Strategic vision and future feature roadmap
- [NDK Comprehensive Guide](./technical/ndk/comprehensive_guide.md) - Complete guide to NDK implementation
- [Coding Style Guide](./guides/coding_style.md) - Coding standards for the project

## Contributing to Documentation

Please follow the guidelines in the [Documentation Guide](./guides/documentation_guide.md) when updating or adding documentation.

**Last Updated:** 2025-03-26
